org.apache.hc.client5.http.auth

## Class InvalidCredentialsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.auth.AuthenticationException
          - - org.apache.hc.client5.http.auth.InvalidCredentialsException

- All Implemented Interfaces:
    Serializable

      public class InvalidCredentialsException
      extends AuthenticationException

  Authentication credentials required to respond to a authentication challenge are invalid
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidCredentialsException()` Creates a new InvalidCredentialsException with a `null` detail message.
    `InvalidCredentialsException(String message)` Creates a new InvalidCredentialsException with the specified message.
    `InvalidCredentialsException(String message, Throwable cause)` Creates a new InvalidCredentialsException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidCredentialsException

          public InvalidCredentialsException()

      Creates a new InvalidCredentialsException with a `null` detail message.

    - #### InvalidCredentialsException

          public InvalidCredentialsException(String message)

      Creates a new InvalidCredentialsException with the specified message.
      Parameters:
        `message` - the exception detail message

    - #### InvalidCredentialsException

          public InvalidCredentialsException(String message,
                                             Throwable cause)

      Creates a new InvalidCredentialsException with the specified detail message and cause.
      Parameters:
        `message` - the exception detail message
        `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.